### Enumeration

# Qmi NasRatModePreference

since: 1.0

#### Declaration

    flags Qmi.NasRatModePreference

#### Description [src]

Flags specifying radio access technology mode preference.

Available since: 1.0

#### Members

`QMI_NAS_RAT_MODE_PREFERENCE_CDMA_1X`

  CDMA2000 1X.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_RAT_MODE_PREFERENCE_CDMA_1XEVDO`

  CDMA2000 HRPD (1xEV-DO).

  - Value: `2`
  - Available since: 1.0
`QMI_NAS_RAT_MODE_PREFERENCE_GSM`

  GSM.

  - Value: `4`
  - Available since: 1.0
`QMI_NAS_RAT_MODE_PREFERENCE_UMTS`

  UMTS.

  - Value: `8`
  - Available since: 1.0
`QMI_NAS_RAT_MODE_PREFERENCE_LTE`

  LTE.

  - Value: `16`
  - Available since: 1.0
`QMI_NAS_RAT_MODE_PREFERENCE_TD_SCDMA`

  TD-SCDMA.

  - Value: `32`
  - Available since: 1.0
`QMI_NAS_RAT_MODE_PREFERENCE_5GNR`

  5GNR. Since 1.26.

  - Value: `64`
  - Available since: 1.0

#### Type functions

###### qmi_nas_rat_mode_preference_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiNasRatModePreference` in `mask`.

since: 1.0